import React from 'react';
declare type Props = {
    label: string;
    component: (() => React.ReactElement) | React.FC<any> | React.JSXElementConstructor<any>;
};
export declare type SegmentReactElement = React.ReactElement<Props>;
/**
 * Wrap your screens with `Segmented.Segment`. Basic usage looks like this:
 *
 * ```tsx
 * <Segmented.View ...>
 *  <Segmented.Segment label="A" component={ScreenA} />
 *  <Segmented.Segment label="B" component={ScreenB} />
 *  <Segmented.Segment label="C" component={ScreenC} />
 * </Segmented.Container>
 * ```
 */
export declare const Segment: ({ component: Component }: Props) => JSX.Element;
export {};
